aboutsummaryrefslogtreecommitdiffstats
path: root/framework/src/onos/tools/test/scenarios/bin/curl-with-retry
diff options
context:
space:
mode:
Diffstat (limited to 'framework/src/onos/tools/test/scenarios/bin/curl-with-retry')
-rwxr-xr-xframework/src/onos/tools/test/scenarios/bin/curl-with-retry23
1 files changed, 0 insertions, 23 deletions
diff --git a/framework/src/onos/tools/test/scenarios/bin/curl-with-retry b/framework/src/onos/tools/test/scenarios/bin/curl-with-retry
deleted file mode 100755
index c9546aea..00000000
--- a/framework/src/onos/tools/test/scenarios/bin/curl-with-retry
+++ /dev/null
@@ -1,23 +0,0 @@
-#!/bin/bash
-
-aux=/tmp/stc-$$.log
-trap "rm -f $aux 2>/dev/null" EXIT
-
-url=$1
-
-
-echo curl-with-retry: $*
-
-set -x
-for i in {1..3}; do
- curl -f -uonos:rocks ${url} >$aux
- if [ $? = 0 ]; then
- cat $aux
- exit 0
- fi
- sleep 1
-done
-
-cat $aux
-exit 1
-